<< cheb | FOSSEE_Signal_Processing_Toolbox | cheb1ord >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > cheb1ap

# cheb1ap

Design a lowpass analog Chebyshev type I filter.

### Syntax

    [z, p, g] = cheb1ap(n, Rp)

### Parameters

n:

  Positive integer. Order of the filter.

Rp:

  Positive real number. Peak-to-peak passband ripple (in dB).

z:

  Zeros of the filter.

p:

  Poles of the filter.

g:

  Gain of the filter.

### Description

This function designs a lowpass analog Chebyshev type I filter of order `n` with a peak-to-peak passband ripple of `Rp`.

### Examples

    [z, p, g] = cheb1ap(10, 3)

Report an issue
<< cheb | FOSSEE_Signal_Processing_Toolbox | cheb1ord >>